%define	version 0.1.5
%define kdename kfsstatus
%define release 6mdk

Name: %{kdename}
Summary: Displays the status of filesystems
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kfsstatus_menuentry
Group: File tools
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: qt kdelibs

%description
Application to display the status of all your filesystems for the K Desktop
Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
find \( -name .deps -o -name config.cache \) | xargs rm -r

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

#patch Makefile ../Makefile.patch

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini \
kde_appsdir=$RPM_BUILD_ROOT/usr/lib/kde1-compat/share/applnk  install

#if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
#  mkdir -p $RPM_BUILD_ROOT%{_docdir}/kde1
#  mv $RPM_BUILD_ROOT/usr/share/doc/HTML $RPM_BUILD_ROOT%{_docdir}/kde1/
#fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kfsstatus

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/kfsstatus
/usr/lib/menu/kfsstatus
%dir %{_docdir}/kde1/HTML/*
%{_docdir}/kde1/HTML/*/kfsstatus
%dir /usr/lib/kde1-compat/share/applnk/Utilities
/usr/lib/kde1-compat/share/applnk/Utilities/kfsstatus.kdelnk
%changelog
* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.1.5-6mdk
- removed internationnalisation

* Wed Sep 13 2000 Etienne Faure  <etienne@mandraksoft.com> 0.1.5-5mdk
- rebuilt with new environement
- macros


* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1.5-4mdk

- Don't use autogenerated file list
- Don't use prefix
- Menu entry
- Changed group
- WARNING: no icon yet

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Cooker.

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

